Bug 1294825 - cannot add imap "online account" due to proxy settings
cannot add imap "online account" due to proxy settings
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 09:05 EST by Ian Dall
Modified: 2016-12-20 12:29 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 969247
Environment:
Last Closed: 2016-12-20 12:29:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Dall 2015-12-30 09:05:01 EST
+++ This bug was initially created as a clone of Bug #969247 +++

Description of problem:

Setting up IMAP or POP accounts fail when a HTTP proxy is set. Evolution gives 
 an error "HTTP proxy connection not allowed" that implies it's trying to also route that session through the HTTP proxy - which will never work, as it's a HTTP proxy, not an arbitrary protocol proxy ;-)


This was originally posted as a control-center problem but I see this with evolution running under xfce

How reproducible:

always

Steps to Reproduce:
1. set up access via proxy
2. add "IMAP and SMTP" online account
3. start evolution and attempt to collect mail.

Actual results:

I get

error connecting to imap server 
proxy protocol 'http' not supported
Also, sending mail fails: it seems to be trying to route smtp via the HTTP proxy as well.


Expected results:

It should not use any HTTP proxy settings for non http protocol. 

A workaround is to unset http_proxy environment variable before running evolution but this is not very friendly.
Comment 1 Brian J. Murrell 2015-12-30 09:12:48 EST
FWIW, I think the proper approach here is to have bug #969247 reopened.  I asked for the Version: field of that bug to be updated here: https://bugzilla.redhat.com/show_bug.cgi?id=969247#c7 but it was ignored and the bug was closed EOL prematurely.

If this problem really does still exist on F23, bug #969247 should just be reopened.

Perhaps somebody with the power to do so, could do so and close this as a duplicate of that bug?
Comment 2 Milan Crha 2016-01-19 12:04:46 EST
Thanks for a bug report, or a clone of one. I agree with Brian, but we can start here too.

I'm a bit confused.

"Cannot add imap 'online account'" suggests this is about GNOME Online Account and not about Evolution itself.

Neither evolution, nor evolution-data-server, sources reference "http_proxy" environment variable. I see it referenced in glib-networking, something around libproxy, but it only sets and unsets it, it doesn't directly read it.

To be honest, I do not know how this all works together, the IMAPx (and evolution-data-server in general) uses other libraries to connect to the servers, it's glib stream these days. How that works with respect of the proxy I do not know.

By the way, when you say "set up access via proxy", where do you do that? System wide? What is set in the evolution, Edit->Preferences->Network Preferences? You can setup there a proxy for SOCKS, which is the one which should be used by the IMAPx/SMTP account.
Comment 3 Fedora End Of Life 2016-11-24 09:35:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:29:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.